<?php
	session_start(); 
	require_once 'project.php';
	require_once 'user.php';
	require_once 'story.php';
	
	if (!isset($_COOKIE['loggedUser']))
    {
        setcookie("loggedUser", 'visitante', time() + 7200);
        //header("Location: index.php");
    }
		//header("Location: login.php");
	else 
	{
		$disabled = false;
		$mensaje = '';
		$loggedUser = $_COOKIE['loggedUser'];
		//echo "Usuario: ".$loggedUser."<br />".var_dump($loggedUser);
		if ($loggedUser != 'desarrollo')
		{
			$disabled = true;
			$mensaje = 'Los cambios que vaya a realizar no tendrn efecto, ser&aacute;n solo ilustrativos';
		}
?>
<html>
	<head>
		<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
		<title>.:: Soltouch - Kanban ::.</title>
		<link href="style.css" type="text/css" rel="stylesheet">
		<link rel="Shortcut Icon" href="images/favicon.jpg" >
	</head>
	<body>
	
	<br />
		<?php 
			include "templates/header.php";
		?>
		
		<div id="content">
			<?php 
				if ($disabled)
					echo "<input type='hidden' value='disabled' id='viewType'></input>";
			?>
			<div class='error'><?= $mensaje?></div>
			
<textarea rows="1" id="stories" style="visibility: hidden;">
<?php 
	$stories = Story::getStories($_POST['filUser'], $_POST['filProject']);
	foreach ($stories as $story)
	{
		echo $story['state']."##".$story['code']."##".$story['project']."##".$story['user']."##".$story['title']."##".$story['description']."##".$story['estimatedTime']."##".$story['id']."*-*";
	}
?>
</textarea>
<textarea rows="1" id="projectList" style="visibility: hidden;">
<?php 
	$projects = Project::getProjects();
	foreach ($projects as $project)
	{
		echo $project['code']."##".$project['name']."*-*";
	}
?>
</textarea>
<textarea rows="1" id="userList" style="visibility: hidden;">
<?php 
	$users = User::getUsers();
	foreach ($users as $user)
	{
		echo $user['code']."##".$user['name']."*-*";
	}
?>
</textarea>
<textarea rows="1" id="states" style="visibility: hidden;">
PE,Tomadas*-*AN,Analisis*-*DE,Desarrollo*-*TE,Testing*-*PR,Produccion*-*FI,Finalizado
</textarea>
	<div id="titles">
		<div class="fLeft">
			<h1>Kanban IPADDRESS</h1>
		</div>
		<form action="" id="form1" method="post">
			<div class="fRight aRight" id='filters'>
				<h1>
					Filtros
					<img alt="" src="images/movedown.gif" id='filtroMostrar' />
					<img alt="" src="images/moveup.gif" id='filtroOcultar' />
				</h1>
				<div id="filter">
					<div class="fLeft">
						<p>Usuario
							<select name='filUser'>
							<?php 
								$users = User::getUsers();
								echo "<option value=''>Seleccione un Usuario</option>";
								foreach ($users as $user)
								{
									if ($_POST['filUser'] == $user['code'])
										echo "<option selected='selected' value='".$user['code']."'>".$user['name']."</option>";
									else
										echo "<option value='".$user['code']."'>".$user['name']."</option>";
								}
							?>
							</select>
						</p>
					</div>
					<div class="fRight">
						<p>Proyecto
							<select name='filProject'>
							<?php 
								$projects = Project::getProjects();
								echo "<option value=''>Seleccione un Proyecto</option>";
								foreach ($projects as $project)
								{
									if ($_POST['filProject'] == $project['code'])
										echo "<option selected='selected' value='".$project['code']."'>".$project['name']."</option>";
									else
										echo "<option value='".$project['code']."'>".$project['name']."</option>";
								}
							?>
							</select>
						</p>
					</div>
					<div class="clear"></div>
					<div class="buttonSearch">
						<input id="buttonSearch" type="button" value="Buscar" />&nbsp;&nbsp;&nbsp;<input id="buttonClean" type="button" value="Limpiar" />
					</div>
				</div>
			</div>
		</form>
	</div>
	
	
	<div id="output"></div>
	<div id="references" class="fLeft">
		<div class="fLeft">
			<h1>Usuarios</h1>
			<table class="data_rows">
				<tr>
					<th>C&oacute;digo</th>
					<th>Nombre</th>
					<th>E-Mail</th>
				</tr>
				<? 
					$users = User::getUsers();
					for ($i=0; $i<count($users); $i++)
					{
						$user = $users[$i];
						echo "<tr id='us_" . $user['code'] . "'>";
							echo "<td>".$user['code']."</td>";
							echo "<td>".$user['name']."</td>";
							echo "<td>".$user['mail']."</td>";
						echo "</tr>";
					}
				?>
			</table>
		</div>
		<div id='refProj' class="fLeft">
			<h1>Proyectos</h1>
			<table class="data_rows">
				<tr>
					<th>C&oacute;digo</th>
					<th>Nombre</th>
				</tr>
				<? 
					$projects = Project::getProjects();
					for ($i=0; $i<count($projects); $i++)
					{
						$project = $projects[$i];
						echo "<tr id='pro_" . $project['code'] . "'>";
							echo "<td>".$project['code']."</td>";
							echo "<td>".$project['name']."</td>";
						echo "</tr>";
					}
				?>
			</table>
		</div>
	</div>
	<div class="clear"></div>
	<textarea id="data_output" rows="20" cols="100"></textarea>
	<div id="add_data">
		<div id='storys_content'>
			<table id="data_rows" class='data_rows'>
	 			<tr>
					<th>ID</th>
					<th>ESTADO</th>
					<th>PROYECTO</th>
					<th>USUARIO</th>
					<th>TITULO</th>
					<th>DESCRIPCI&Oacute;N</th>
					<th>ESTIMACI&Oacute;N</th>
					<th>ACCI&Oacute;N</th>
				</tr>
				<?php 
					$stories = Story::getStories();
					$stories = Story::getStories($_POST['filUser'], $_POST['filProject']);
					foreach ($stories as $story)
					{
						$state = $story['state'];
						$code = $story['code'];
						$id = $story['id'];
						$project = $story['project'];
						$user = $story['user'];
						$title = $story['title'];
						$description = $story['description'];
						$estimatedTime = $story['estimatedTime'];
						
						echo "<tr id='staticRow_$id'>";
							echo "<td id='static_code_$id'>$code</td>";
							echo "<td id='static_state_$id'>$state</td>";
							echo "<td id='static_project_$id'>$project</td>";
							if ($user == '')
								echo "<td id='static_user_$id'>Sin Asignar</td>";
							else
								echo "<td id='static_user_$id'>$user</td>";
							
							echo "<td id='static_title_$id'><span class='upper'>$title</span></td>";
							echo "<td id='static_description_$id'>$description</td>";
							echo "<td id='static_estimatedTime_$id'>$estimatedTime</td>";
							if ($state != 'FI')
							{
								echo "<td>";
									echo "<img src=\"images/movedown.gif\" class=\"imgButton\" id=\"modify"
										. $id . "\" onclick=\"showStory('$id')\" />"
										. "<img src=\"images/borrar.gif\" class=\"imgButton\" id=\""
										. $id . "\" onclick=\"removeStory('$id', '$i')\" />";
								echo "</td>";
							}
							else
							{
								echo "<td>";
									echo "<img src=\"images/movedown.gif\" class=\"imgButton\" id=\"modify"
										. $id . "\" onclick=\"showStory('$id')\" />"
										. "<img src=\"images/borrar.gif\" class=\"imgButton\" id=\""
										. $id . "\" onclick=\"removeStory('$id', '$i')\" />"
										. "<img src=\"images/confirmar.gif\" class=\"imgButton\" id=\""
										. $id . "\" onclick=\"confirmStory('$id', '$i')\" />"
										. "<input type=\"textbox\" name=\"realtime_story\" id=\"realtime_story\" />";
								echo "</td>";
							}
						echo "</tr>";
						/******ACA AGREGO LA FILA PARA MODIFICAR CADA UNO DE LOS REGISTROS!********/
						echo "<tr style='display: none' id='modifyRow_$id' class='modify'>";
							echo "<td><input value='$code' type='text' name='code_$id' id='code_$id'></td>";
							echo "<td>";
								echo "<select id='state_story_$id' name='state_story_$id'>";
									echo "<option value='PE'>Tomadas</option>";
									echo "<option value='AN'>Analisis</option>";
									echo "<option value='DE'>Desarrollo</option>";
									echo "<option value='TE'>Testing</option>";
									echo "<option value='PR'>Producci&oacute;n</option>";
									echo "<option value='FI'>Finalizado</option>";
								echo "</select>";
							echo "</td>";
							echo "<td>";
								echo "<select id='project_story_$id' name='project_story_$id'>";
								$projects = Project::getProjects();
								foreach ($projects as $project)
								{	
									echo "<option value='".$project['code']."'>".$project['name']."</option>";
								}	
								echo "</select>";
							echo "</td>";
							echo "<td>";
								echo "<select id='user_story_$id' name='user_story_$id'>";
								$users = User::getUsers();
								foreach ($users as $user)
								{	
									echo "<option value='".$user['code']."'>".$user['name']."</option>";
								}	
								echo "</select>";
							echo "</td>";
							echo "<td><input value='$title' type='text' name='title_$id' id='title_$id'></td>";
							echo "<td><input value='$description' type='text' name='description_$id' id='description_$id'></td>";
							echo "<td><input value='$estimatedTime' type='text' name='estimatedTime_$id' id='estimatedTime_$id'></td>";
							
							echo "<td>"
									. "<img src=\"images/save.png\" class=\"imgButton\" id=\"modify"
									. $id . "\" onclick=\"modifyStory('$id', '$i')\" />"
									. "<img src=\"images/moveup.gif\" class=\"imgButton\" id=\"modify"
									. $id . "\" onclick=\"hideStory('$id')\" />"
									. "</td>";
						echo "</tr>";
					}
					echo "<tr id=\"storysRows\">";
						echo "<td><input name='code_story' id='code_story' maxlength='20'></td>";
						echo "<td>";
							echo "<select id='state_story' name='state_story'>";
								echo "<option value='PE'>Tomadas</option>";
								echo "<option value='AN'>Analisis</option>";
								echo "<option value='DE'>Desarrollo</option>";
								echo "<option value='TE'>Testing</option>";
								echo "<option value='PR'>Producci&oacute;n</option>";
								echo "<option value='FI'>Finalizado</option>";
							echo "</select>";
						echo "</td>";
						echo "<td>";
							echo "<select id='project_story' name='project_story'>";
							$projects = Project::getProjects();
							foreach ($projects as $project)
							{	
								echo "<option value='".$project['code']."'>".$project['name']."</option>";
							}	
							echo "</select>";
						echo "</td>";
						echo "<td>";
							echo "<select id='user_story' name='user_story'>";
							$users = User::getUsers();
							foreach ($users as $user)
							{	
								echo "<option value='".$user['code']."'>".$user['name']."</option>";
							}	
							echo "</select>";
						echo "</td>";
						echo "<td><input name=\"title_story\" id=\"title_story\" maxlength='20'></td>";
						echo "<td><input name=\"descrip_story\" id=\"descrip_story\" maxlength='30'></td>";
						echo "<td><input name=\"esttime_story\" id=\"esttime_story\" maxlength='2'></td>";
						echo "<td><img src=\"images/agregar.gif\" class=\"imgButton\" id=\"addStoryMariano\" onclick=\"addStory()\" /></td>";
					echo "</tr>";
				?>
			</table>
		</div>
		<div id='project_content'></div>
	</div>
	<script src="scripts/scriptJQuery.js"></script>
	<!-- <script src="scripts/script.js"></script> -->
	</div>
	<div class="clear"></div>
		<?php 
			include "templates/footer.php";
		?>
	</body>
</html>
<?php 
}
?>