/*
function actualizarItem(div)
{
	var idDiv = div.id;
	alert ("mariano"+idDiv);
	alert ($('#'+idDiv + "_id").val());
}

$("#board_link").hide();
$("#data_output").hide();
$("#add_data").hide();

var init_states = function(states_input) {
	var states = {}
	var states_order = []
	for ( var i = 0, len = states_input.length; i < len; i++) {
		var state = states_input[i].split(",");
		if (state.length == 2) {
			states[state[0]] = state[1];
			states_order.push(state[0]);
		}
	}
	return {
		states : states,
		states_order : states_order
	};
}

var init_board = function(stories) {
	var board = {};
	for ( var i = 0, len = stories.length; i < len; i++) {
		var story = stories[i].split("##");
		var state = story[0];
		if (story.length == 7) {
			if (!board[state]) {
				board[state] = [];
			}
			board[state].push(story);
		}
	}
	return board;
}

var create_list = function(board, state) {
	var list = $("<ul class=\"state\" id=\"" + state + "\"></ul>");
	if (board[state]) {
		for ( var i = 0, len = board[state].length; i < len; i++) {
			var story_element = $("<li><div id=\"box_" + board[state][i][1] + "_" + board[state][i][2] + "\" class=\"box box_" + state + "\">"
					+ "<strong><span id=\"box_" + board[state][i][1] + "_" + board[state][i][2] + "_id\">" 
					+ board[state][i][1] + "</span> - <span id=\"box_" + board[state][i][1] + "_" + board[state][i][2] + "_title\">"
					+ board[state][i][4] + "</span><hr /><span id=\"box_" + board[state][i][1] + "_" + board[state][i][2] + "_description\">" 
					+ board[state][i][5] + "</span></strong><br />"
					+ "<table class=\"issue_detail\"><tr><td><span id=\"box_" + board[state][i][1] + "_" + board[state][i][2] + "_project\">"
					+ board[state][i][2] + "</span></td><td><span id=\"box_" + board[state][i][1] + "_" + board[state][i][2] + "_user\">" 
					+ board[state][i][3] + "</span></td><td><span id=\"box_" + board[state][i][1] + "_" + board[state][i][2] + "_estimatedTime\">" 
					+ board[state][i][6] + "</span></td></tr></table>"
					+ "</div></li>");
			story_element.data("story", board[state][i]);
			list.append(story_element);
		}
	}
	return list
}

var create_column = function(board, state, headline) {
	var state_column = $("<div class=\"dp10" + ((!/_E$/.test(state)) ? "" : " queue_column") + "\"></div>")
	state_column.append($("<div class=\"headline\">" + headline + "</div>"));
	state_column.append(create_list(board, state));
	state_column.data("state", state);
	return state_column;
}

var create_board = function(app_data) {
	var table = $("<div id=\"board\"></div>");
	var ids = "";
	for (j = 0; j < app_data.states_order.length; j++) {
		var state = app_data.states_order[j]
		if (!/_E$/.test(state)) {
			var queue_state = state + "_E";
			ids += "#" + queue_state + ",";
			var queue_state_column = create_column(app_data.board, queue_state,
					app_data.states[state] + " Espera")
			table.append(queue_state_column)

			ids += "#" + state + ","
			var state_column = create_column(app_data.board, state,
					app_data.states[state])
			table.append(state_column)
		}
	}
	$(ids, table).dragsort( {
		dragBetween : true
	});
	return table;
}

/* Funcion mia que crea las filas */
/*
function addIssue() {
	var id = $("#id_issue").val();

	var state = $("#state_issue").val();
	var project = $("#project_issue").val();
	var user = $("#user_issue").val();
	var title = $("#title_issue").val();
	var descrip = $("#descrip_issue").val();
	var esttime = $("#esttime_issue").val();
	$.ajax( {
		type : "POST",
		dataType : "json",
		url : "addIssue.php",
		data : ( {
			action : 'add',
			id : $("#id_issue").val(),
			state : $("#state_issue").val(),
			project : $("#project_issue").val(),
			user : $("#user_issue").val(),
			title : $("#title_issue").val(),
			descrip : $("#descrip_issue").val(),
			esttime : $("#esttime_issue").val()
		}),
		success : function(response) {
			var issue = state + "##" + id + "##" + project + "##" + user + "##"
					+ title + "##" + descrip + "##" + esttime + "\n";
			$("#stories").val($("#stories").val() + issue);
			$("#data_output").val($("#data_output").val() + issue);
		}
	});
}

function removeIssue(id, file) {
	$.ajax( {
		type : "POST",
		dataType : "json",
		url : "addIssue.php",
		data : ( {
			action : 'remove',
			// id : 'Mariano'}), //sacar esto de aca despues!!!
			id : id
		}),
		success : function(response) {
			var stories = $("#stories").val().split('\n');
			var new_stories = '';
			for (i = 0; i < stories.length; i++) {
				var story = stories[i];
				if (i != file)
					new_stories = new_stories + story + '\n';
			}
			$("#stories").val(new_stories);
			var datas = $("#data_output").val().split('\n');
			var new_datas = '';
			for (i = 0; i < datas.length; i++) {
				var data = datas[i];
				if (i != file)
					new_datas = new_datas + data + '\n';
			}
			$("#data_output").val(new_datas);

			$("#row_" + file).remove();
		}
	});
}
var create_rows = function(stories) {

	var board = {};
	for ( var i = 0, len = stories.length; i < len; i++) {
		var row = $("<tr id=\"row_" + i + "\"></tr>");
		var story = stories[i].split("##");
		if (story[0] != '') {
			var id = story[1];
			var state = story[0];
			var project = story[2];
			var user = story[3];
			var title = story[4];
			var description = story[5];
			var estimatedTime = story[6];

			row.append($("<td>" + id + "</td>"));
			row.append($("<td>" + state + "</td>"));
			row.append($("<td>" + project + "</td>"));
			row.append($("<td>" + user + "</td>"));
			row.append($("<td>" + title + "</td>"));
			row.append($("<td>" + description + "</td>"));
			row.append($("<td>" + estimatedTime + "</td>"));
			row
					.append($("<td><img src=\"images/borrar.gif\" class=\"imgButton\" id=\""
							+ id
							+ "\" onclick=\"removeIssue(\'"
							+ id
							+ "\', "
							+ i + ")\" /></td>"));

			$("#data_rows").append(row);
		}
	}
	var row = $("<tr></tr>");
	// row.append($("<td><input name=\"id_issue\" id=\"id_issue\">"));
	row.append($("<td><input name=\"id_issue\" id=\"id_issue\"></td>"));
	// row.append($("<td><input name=\"state_issue\"
	// id=\"state_issue\"></td>"));
	row.append($("<td></td>").append(getSelectState($("#states").text().split("\n"))));
	row.append($("<td></td>").append(getSelectProject($("#projectList").text().split("\n"))));
	row.append($("<td></td>").append(getSelectUsers($("#userList").text().split("\n"))));
	row.append($("<td><input name=\"title_issue\" id=\"title_issue\"></td>"));
	row.append($("<td><input name=\"descrip_issue\" id=\"descrip_issue\"></td>"));
	row.append($("<td><input name=\"esttime_issue\" id=\"esttime_issue\"></td>"));
	row.append($("<td><img src=\"images/agregar.gif\" class=\"imgButton\" id=\"addIssueMariano\" onclick=\"addIssue()\" /></td>"));

	$("#data_rows").append(row);

	return board;
}

function getSelectProject(project_input) {
	var select = $("<select name=\"project_issue\" id=\"project_issue\"></select>");
	for ( var i = 0, len = project_input.length; i < len; i++) {
		var project = project_input[i].split("##");
		if (project.length == 2) {
			var option = $("<option value=\"" + project[0] + "\">" + project[1]
					+ "</option>");
			select.append(option);
		}
	}
	return select;

}

function getSelectUsers(user_input) {
	var select = $("<select name=\"user_issue\" id=\"user_issue\"></select>");
	for ( var i = 0, len = user_input.length; i < len; i++) {
		var user = user_input[i].split("##");
		if (user.length == 2) {
			var option = $("<option value=\"" + user[0] + "\">" + user[1]
					+ "</option>");
			select.append(option);
		}
	}
	return select;

}

function getSelectState(states_input) {
	var select = $("<select name=\"state_issue\" id=\"state_issue\"></select>");
	for ( var i = 0, len = states_input.length; i < len; i++) {
		var state = states_input[i].split(",");
		if (state.length == 2) {
			var option = $("<option value=\"" + state[0] + "\">" + state[1]
					+ "</option>");
			select.append(option);
		}
	}
	return select;
}

/* Fin Funcion mia que crea las filas */
/*
$("#board_link").click(function() {
	var state_data = init_states($("#states").text().split("\n"));
	var app_data = {
		board : init_board($("#data_output").val().split("\n")),
		states : state_data.states,
		states_order : state_data.states_order
	}
	$("#output").empty();
	$("#output").append(create_board(app_data));

	$("#output").show();
	$("#data_link").show();
	$("#data_output").hide();
	$("#add_data").hide();
	$("#board_link").hide();
});

$("#data_link").click(
		function() {
			var data = "";
			$("#board .dp10").each(
					function() {
						var state = $(this).data("state");
						$(this).find("li").each(
								function() {
									var story = $(this).data("story");
									data += state + "##" + story[1] + "##"
											+ story[2] + "##" + story[3] + "##"
											+ story[4] + "##" + story[5] + "##"
											+ story[6] + "\n";
								});
					});
			$("#data_output").val(data);
			$("#output").hide();
			$("#data_link").hide();
			$("#add_data").show();
			$("#data_output").show();
			$("#board_link").show();
		});

var state_data = init_states($("#states").text().split("\n"));
var app_data = {
	board : init_board($("#stories").text().split("\n")),
	states : state_data.states,
	states_order : state_data.states_order
}
$("#output").empty();
$("#output").append(create_board(app_data));
create_rows($("#stories").text().split("\n"));

cargarEventos();
*/