<?
require_once 'story.php';

class AddStory
{
	
	public function __construct()
	{
		$action = $_POST ['action'];
		switch ($action)
		{
			case 'add' :
				$this->saveStory ();
				break;
			case 'remove' :
				$this->removeStory ();
				break;
			case 'update' :
				$this->updateStory ();
				break;
			case 'modify' :
				$this->modifyStory ();
				break;
			case 'confirm' :
				$this->confirmStory ();
				break;
		}
		$this->saveStory ();
	}
	
	public function confirmStory()
	{
		$id = $_POST ["id"];
		$project = $_POST ["project"];
		$realTime = $_POST ['realTime'];
		
		$res = Story::updateConfirmedStory ($id, $project, $realTime);
		
		echo json_encode ($res);
		exit ();
	}
	
	public function saveStory()
	{
		$code = $_POST ["code"];
		$state = $_POST ["state"];
		$project = $_POST ["project"];
		$user = $_POST ["user"];
		$title = $_POST ["title"];
		$descrip = $_POST ["descrip"];
		$esttime = $_POST ["esttime"];
		
		$res = Story::saveStory ($code, $project, $state, $user, $title, $descrip, $esttime);
		
		echo json_encode ($res);
		exit ();
	}
	
	public function removeStory()
	{
		$id = $_POST ["id"];
		
		$res = Story::removeStory ($id);
		
		echo json_encode ($res);
		exit ();
	}
	
	public function updateStory()
	{
		$id = $_POST ["id"];
		$state = $_POST ["state"];
		
		$res = Story::updateStateStory ($id, $state);
		echo json_encode ($res);
		exit ();
	}
	
	public function modifyStory()
	{
		$id = $_POST ["id"];
		$code = $_POST ["ncode"];
		$state = $_POST ["nstate"];
		$project = $_POST ['nproject'];
		$user = $_POST ['nuser'];
		$title = $_POST ['ntitle'];
		$descrip = $_POST ['ndescrip'];
		$esttime = $_POST ['nesttime'];
		
		$rta = Story::modifyStateStory ($id, $code, $project, $state, $user, $title, $descrip, $esttime);
		if ($rta['status'] == 'OK')
			$res = array ('id' => $id, 'code' => $code, 'state' => $state, 'project' => $project, 'user' => $user, 'title' => $title, 'descrip' => $descrip, 'esttime' => $esttime);
		else
			$res = $rta;
		
		echo json_encode ($res);
		exit ();
	}
}
$addStory = new AddStory ();
?> 