<?php 
	session_start();
	require_once 'access.php';
	
	if ($_GET['ac'] == 'l')
	{
		$access = Access::getUserAccess($_POST['userName'], $_POST['userPass']);
		
		$error = '';
		if (count($access) == 0)
			$error = 'El usuario o la contrase&ntilde;a es incorrecto, vuelva a ingresar!!!';
		else 
		{
			setcookie("loggedUser", $access['user'], time() + 7200);
			header("Location: index.php");
		}
	}
	if ($_GET['ac'] == 'lo')
    {
        unset($_COOKIE);
        setcookie("loggedUser", 'visitante', time() + 7200);
        header("Location: index.php");
        //include "templates/header.php";
        
        //unset($_COOKIE);
    }
		
?>
<html>
	<head>
		<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
		<title>.:: IPaddress - Kanban ::.</title>
		<link href="style.css" type="text/css" rel="stylesheet">
		<link rel="Shortcut Icon" href="images/favicon.ico" >
	</head>
	<body>
		<?php 
			$login = true;
			include "templates/header.php";
			
			if ($error != '')
			{
				echo "<p class='error'>".$error."</p>";
			}
            
		?>
		
		<div id="content">
		
			<div id="titles">
				<div class="fLeft">
					<h1>Kanban IPADDRESS</h1>
				</div>
				<form id="form1" method="post">
					<div id="login" class="fLeft wAll">
						<div class="fLeft aRight wMiddle">
							<p>Usuario</p><br />
							<p>Contrase&ntilde;a</p>
						</div>
						<div class="fRight aLeft wMiddle">
							<p><input type="text" id='userName' name='userName' /></p><br />
							<p><input type="password" id='userPass' name='userPass' /></p>
						</div>
					</div>
				</form>
			</div>
			
			<div id="output"></div>
			<div class="clear"></div>
			<div id="add_data"></div>
		</div>
		<div class="clear"></div>
		<?php 
			include "templates/footer.php";
		?>
		<script type="text/javascript" src="scripts/scriptJQuery.js"></script>
	</body>
</html>