<?php
require_once 'connection.php';

class Story
{
	public static function getStories($user = null, $project = null)
	{
		$stories = Array ();
		
		$connection = Connection::connect ();
		$query = "select * from stories where confirmed = 0";
		
		$where = '';
		if ($user != null)
			$where .= " and user='" . $user . "'";
		if ($project != null)
			$where .= " and project='" . $project . "'";
		
		if ($where != '')
			$query .= $where;
		
		$fetch_array = Connection::query ($connection, $query);
		
		$i = 0;
		while ($fila = mysqli_fetch_assoc ($fetch_array))
		{
			$stories [$i] ['id'] = $fila ['id'];
			$stories [$i] ['code'] = $fila ['code'];
			$stories [$i] ['project'] = $fila ['project'];
			$stories [$i] ['state'] = $fila ['state'];
			$stories [$i] ['user'] = $fila ['user'];
			$stories [$i] ['title'] = $fila ['title'];
			$stories [$i] ['description'] = $fila ['description'];
			$stories [$i] ['confirmed'] = $fila ['confirmed'];
			$stories [$i] ['estimatedTime'] = $fila ['estimatedTime'];
			$i ++;
		}
		
		Connection::close ($connection);
		
		return $stories;
	}
	
	public static function saveStory($code, $project, $state, $user = '', $title, $description, $estimatedTime, $confirmed = '')
	{
		$res = array ('status' => 'failed');
		$connection = Connection::connect ();
		
		$sql = "insert into stories (code, project, state, user, title, description, estimatedTime, confirmed) values ('$code', '$project', '$state', '$user', '$title', '$description', '$estimatedTime', '$confirmed')";
		
		if (Connection::query ($connection, $sql))
		{
			$sql = "select MAX(id) as id from stories";
			$fetch_array = Connection::query ($connection, $sql);
			$id = 0;
			if ($fila = mysqli_fetch_assoc ($fetch_array))
				$id = $fila['id'];
			
			$res = array ('status' => 'OK', 'id' => $id);
		}
		else
			$res = array ('status' => 'failed');
		
		Connection::close ($connection);
		
		return $res;
	}
	
	public static function updateStateStory($id, $state)
	{
		$res = array ('status' => 'failed');
		$connection = Connection::connect ();
		
		$sql = "update stories set state = '$state' where id = '$id'";
		
		if (Connection::query ($connection, $sql))
			$res = array ('status' => 'OK');
		else
		{
			$res = array ('status' => 'failed');
			$res ['message'] = mysqli_errno ($connection);
		}
		Connection::close ($connection);
		
		return $res;
	}
	
	public static function modifyStateStory($id, $code = '', $project = '', $state = '', $user = '', $title = '', $descrip = '', $esttime = 0)
	{
		$res = array ('status' => 'failed');
		$connection = Connection::connect ();
		
		$sql = "update stories set code = '$code', state = '$state', project = '$project', state = '$state', user = '$user', title = '$title', description = '$descrip', estimatedTime = '$esttime' where id = '$id'";
		
		if (Connection::query ($connection, $sql))
			$res = array ('status' => 'OK');
		else
			$res = array ('status' => 'failed', 'message' => mysqli_errno ($connection));
		
		Connection::close ($connection);
		
		return $res;
	}
	
	public static function updateConfirmedStory($id, $realTime)
	{
		$res = array ('status' => 'failed');
		$connection = Connection::connect ();
		
		$sql = "update stories set confirmed = 1, realTime = '$realTime' where id = '$id'";
		
		if (Connection::query ($connection, $sql))
			$res = array ('status' => 'OK');
		else
		{
			$res = array ('status' => 'failed');
			$res ['message'] = mysqli_errno ($connection);
		}
		Connection::close ($connection);
		
		return $res;
	}
	
	public static function removeStory($id)
	{
		$res = array ('status' => 'failed');
		$connection = Connection::connect ();
		
		$sql = "delete from stories where id = '$id'";
		
		if (Connection::query ($connection, $sql))
			$res = array ('status' => 'OK');
		else
			$res = array ('status' => 'failed');
		
		Connection::close ($connection);
		
		return $res;
	}
}
?>