<?php
	require_once 'user.php';
	require_once 'connection.php';
	
	class UserAjax
	{
		public function __construct()
		{
			$action = $_POST['action'];
			
			switch ($action)
			{
				case 'contructOptions':
					$this->constructOption();
					break;
				case 'tareassinfinalizarusuario':
					$this->tareasSinFinalizarUsuario();
					break;
			}
		}
		
		private function constructOption()
		{
			$usuarios = User::getUsers();
		
			$options = "<option value=\"\"> --- </option>";
			for ($i=0; $i<count($usuarios); $i++)
			{
				$usuario = $usuarios[$i];
				$options .= "<option id=\"".$usuario['code']."\" value=\"".$usuario['code']."\">".$usuario['name']."</option>";
			}
			
			$ret = array('options' => $options);
			echo json_encode($ret);
			exit;
		}
		
		private function tareasSinFinalizarUsuario()
		{
			$user = $_POST['user'];
			$stories = Array();
			
			$connection = Connection::connect();
			$query = "
				select stories.estimatedTime, stories.id, stories.project, stories.description, stories.realTime, project.name projectName, user.userName from stories
					left join user on (user.code = stories.user)
					left join project on (project.code = stories.project)
					where 
						user.code = '$user' and
						stories.state = 'FI';";
			
			$fetch_array = Connection::query($connection, $query);
			$table = "<table>
						<tr>
							<th>Usuario</th>
							<th>ID Proyecto</th>
							<th>Proyecto</th>
							<th>ID Caso Uso</th>
							<th>Caso Uso</th>
							<th>Tiempo Estimado</th>
							<th>Tiempo Real</th>
						</tr>";
			
			while ($fila = mysqli_fetch_assoc($fetch_array)) {
				$table .= "<tr>";
					$table .= "<td>".$fila['userName']."</td>";
					$table .= "<td>".$fila['project']."</td>";
					$table .= "<td>".$fila['projectName']."</td>";
					$table .= "<td>".$fila['id']."</td>";
					$table .= "<td>".$fila['description']."</td>";
					$table .= "<td>".$fila['estimatedTime']."</td>";
					$table .= "<td>".$fila['realTime']."</td>";
				$table .= "</tr>";
			}
			$table .= "</table>";
			
			return json_encode(array('options' => $table));
			exit;
		}
		
	}
	
	$userAjax = new UserAjax();
?>